<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package MagXP
 */

$mts_options = get_option( MTS_THEME_NAME );

get_header();
?>
<div class="main-container">
	<div id="page" class="clearfix">
		<div class="<?php mts_article_class(); ?>">
			<div id="content_box">
				<h1 class="postsby">
					<span><?php the_archive_title(); ?></span>
				</h1>
				<p><?php the_archive_description(); ?></p>
				<?php
				$j = 0;
				if ( have_posts() ) :
					while ( have_posts() ) :
						the_post();
						?>
						<article class="latestPost excerpt <?php if ( ! empty($mts_options['mts_homepage_layout'] ) ) { echo "layout-2"; } else { echo "layout-1"; } echo (++$j % 3 == 0) ? ' last' : ''; ?>">
							<?php mts_archive_post(); ?>
						</article><!--.post excerpt-->
						<?php
					endwhile;
				endif;

				if ( $j !== 0 ) {
					get_template_part( 'templates/archive-pagination' );
				}
				?>
			</div>
		</div>
		<?php get_sidebar(); ?>
	<?php get_footer(); ?>
