<?php
/**
 * Single Header Animation 2.
 *
 * @package MagXP
 */

$mts_options      = get_option( MTS_THEME_NAME );
$header_animation = mts_get_post_header_effect();

if ( 'parallax' === $header_animation ) {
	if ( mts_get_thumbnail_url() ) :
		?>
		<div class="single_post-img template-2"> 
			<div id="parallax" <?php echo 'style="background-image: url(' . mts_get_thumbnail_url() . ');"'; ?>>
				<div class="slides-shadow"></div>
				<header class="clearfix">
					<h1 class="title single-title"><?php the_title(); ?></h1>
					<?php mts_the_postinfo( 'single' ); ?>
				</header>
			</div>
		</div>
		<?php
	endif;
} else if ( 'zoomout' === $header_animation ) {
	if ( mts_get_thumbnail_url() ) :
		?>
		<div class="single_post-img template-2"> 
			<div id="zoom-out-effect">
				<div id="zoom-out-bg" <?php echo 'style="background-image: url(' . mts_get_thumbnail_url() . ');"'; ?>>
					<div class="slides-shadow"></div>
					<header class="clearfix">
						<h1 class="title single-title"><?php the_title(); ?></h1>
						<?php mts_the_postinfo( 'single' ); ?>
					</header>
				</div>
			</div>
		</div>
		<?php
	endif;
} else {
	?>
	<div class="single_post-img"> 
		<div class="slides-shadow"></div>
		<?php
		$attr = array(
			'title'   => esc_attr( get_the_title() ),
			'alt'     => esc_attr( get_the_title() ),
			'loading' => 'lazy',
		);
		the_post_thumbnail( 'magxp-slider', $attr );
		?>
		<header class="clearfix">
			<h1 class="title single-title"><?php the_title(); ?></h1>
			<?php mts_the_postinfo( 'single' ); ?>
		</header>
	</div>
	<?php
}
?>
